| Version: 3.2.5

Classes | Enumerations
mousestate.h File Reference

## Classes

class | wxMouseState
| Represents the mouse state. More...

## Enumerations

enum | wxMouseButton { wxMOUSE_BTN_ANY = -1 , wxMOUSE_BTN_NONE = 0 , wxMOUSE_BTN_LEFT = 1 , wxMOUSE_BTN_MIDDLE = 2 , wxMOUSE_BTN_RIGHT = 3 , wxMOUSE_BTN_AUX1 = 4 , wxMOUSE_BTN_AUX2 = 5 , wxMOUSE_BTN_MAX }
| Symbolic names for the mouse buttons. More...

## Enumeration Type Documentation

## ◆ wxMouseButton

enum wxMouseButton

Symbolic names for the mouse buttons.

Enumerator
wxMOUSE_BTN_ANY | Any mouse button, means to check for any button being pressed for example.
wxMOUSE_BTN_NONE | None of the mouse buttons.
wxMOUSE_BTN_LEFT | Left mouse button.
wxMOUSE_BTN_MIDDLE | Middle mouse button.
wxMOUSE_BTN_RIGHT | Right mouse button.
wxMOUSE_BTN_AUX1 | First additional mouse button.
wxMOUSE_BTN_AUX2 | Second additional mouse button.
wxMOUSE_BTN_MAX |